import request from '@/utils/request';

// 查询商品列表分页
export function doGetOrderlist(data) {
  return request({
    url: '/admin/warehouse/order/page',
    method: 'post',
    data
  });
}

// 查询购买者账号
export function doGetbuyer(data) {
  return request({
    url: '/admin/buyer/account/list',
    method: 'post',
    data
  });
}

// 查询商品名称
export function doGetshop(data) {
  return request({
    url: '/admin/warehouse/product/list',
    method: 'post',
    data
  });
}
// 添加-编辑
export function doEditOrder(data) {
  return request({
    url: '/admin/warehouse/order/add',
    method: 'post',
    data
  });
}
// 查询
export function doSearchOrder(id) {
  return request({
    url: `/admin/warehouse/order/query/${id}`,
    method: 'get'
  });
}
// 修改订单状态
export function doEditOrderStatus(data) {
  return request({
    url: '/admin/warehouse/order/status/update',
    method: 'post',
    data
  });
}
// 删除
export function doDeleteOrder(id) {
  return request({
    url: `/admin/warehouse/order/del/${id}`,
    method: 'get'
  });
}

